camel-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Omar Atia <omar.a...@its.ws>
Subject Error while deploying Camel on ServiceMix...
Date Fri, 11 Nov 2011 21:03:55 GMT
Dears,

While deploying camel application as bundle on servicemix , I got the following :

karaf@root> osgi:install -s mvn:org.apache.camel/Fuse-router/2.8.0
Error executing command: Unresolved constraint in bundle Fuse-router [243]: Unable to resolve
243.0: missing requirement [243.0] package; (package=com.sun.net.ssl.internal.ssl)

I have added com.sun.net.ssl.internal.ssl in jre.proporties in etc/ jre.properties as follows
in servicemix4.4.1:

com.sun.org.apache.xerces.internal.xni, \
 com.sun.jndi.ldap, \
 com.sun.net.ssl.internal.ssl, \
 javax.accessibility, \

and it didn't work I already have JDK 1.6 installed in the system !

Hope someone can help me !?

Thanks,
Omar Atia

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message